Freeciv-3.2: editor_sprites Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
editor_sprites Struct Reference

`#include <tilespec.h>`

## Data Fields

struct sprite * | erase
struct sprite * | brush
struct sprite * | copy
struct sprite * | paste
struct sprite * | copypaste
struct sprite * | startpos
struct sprite * | terrain
struct sprite * | terrain_resource
struct sprite * | terrain_special
struct sprite * | unit
struct sprite * | city
struct sprite * | vision
struct sprite * | territory
struct sprite * | properties
struct sprite * | road
struct sprite * | military_base

## Detailed Description

Definition at line 339 of file tilespec.h.

## Field Documentation

## ◆ brush

struct sprite * editor_sprites::brush

Definition at line 342 of file tilespec.h.

Referenced by editor_get_mode_sprite().

## ◆ city

struct sprite * editor_sprites::city

Definition at line 351 of file tilespec.h.

Referenced by editor_tool_get_sprite(), and get_tool_value_pixbuf().

## ◆ copy

struct sprite * editor_sprites::copy

Definition at line 343 of file tilespec.h.

Referenced by editor_get_mode_sprite().

## ◆ copypaste

struct sprite * editor_sprites::copypaste

Definition at line 345 of file tilespec.h.

Referenced by editor_tool_get_sprite(), and get_tool_value_pixbuf().

## ◆ erase

struct sprite* editor_sprites::erase

Definition at line 341 of file tilespec.h.

Referenced by editor_get_mode_sprite().

## ◆ military_base

struct sprite * editor_sprites::military_base

Definition at line 356 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ paste

struct sprite * editor_sprites::paste

Definition at line 344 of file tilespec.h.

Referenced by editor_get_mode_sprite().

## ◆ properties

struct sprite * editor_sprites::properties

Definition at line 354 of file tilespec.h.

Referenced by editbar_create().

## ◆ road

struct sprite * editor_sprites::road

Definition at line 355 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ startpos

struct sprite * editor_sprites::startpos

Definition at line 346 of file tilespec.h.

Referenced by editor_tool_get_sprite(), and get_tool_value_pixbuf().

## ◆ terrain

struct sprite * editor_sprites::terrain

Definition at line 347 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ terrain_resource

struct sprite * editor_sprites::terrain_resource

Definition at line 348 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ terrain_special

struct sprite * editor_sprites::terrain_special

Definition at line 349 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ territory

struct sprite * editor_sprites::territory

Definition at line 353 of file tilespec.h.

## ◆ unit

struct sprite * editor_sprites::unit

Definition at line 350 of file tilespec.h.

Referenced by editor_tool_get_sprite().

## ◆ vision

struct sprite * editor_sprites::vision

Definition at line 352 of file tilespec.h.

Referenced by editor_tool_get_sprite(), and get_tool_value_pixbuf().